Subject: socks

From: Rocker UNIX/NT Support 991-2604 <[email-masked]>
Date: Fri, 11 Dec 1998 14:50:27 -0500 (EST)

Hello. Is the following log info generated by a client going through a firewall 
that uses socks ? It looks like an illegal port command from a pasv connection.

> Dec 10 22:21:46 hwcweb ftpd[1462]: refused PORT 0.0.0.0,0 from this.place.ca
> Dec 10 22:21:47 hwcweb ftpd[1462]: refused PORT 0.0.0.0,0 from this.place.ca
> Dec 10 22:21:48 hwcweb ftpd[1462]: refused PORT 0.0.0.0,0 from this.place.ca
> Dec 10 22:21:49 hwcweb ftpd[1462]: refused PORT 0.0.0.0,0 from this.place.ca

Thanks

--
Rocke Robertson
PWGSC/GTIS
(613)991-2604
[email-masked]

---

From: Gregory A Lundberg <[email-masked]>
Date: Fri, 11 Dec 1998 15:58:04 -0500 (EST)

On Fri, 11 Dec 1998, Rocker UNIX/NT Support 991-2604 wrote:

> Hello. Is the following log info generated by a client going through a
> firewall that uses socks ? It looks like an illegal port command from
> a pasv connection.
> 

The daemon requires the PORT (note: this isn't a PASV connection) to tell
it to connect back to the same machine as the FTP control connection
originates from.  As a guess, I'd say the proxy has never been configured.

-- 

Gregory A Lundberg		Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195